Bug 58767 - RH 6.2 updated atd initscript fails
RH 6.2 updated atd initscript fails
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: at (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-24 04:56 EST by Ned Ulbricht
Modified: 2007-04-18 12:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 22:35:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix 3.1.8-22.1 for RH62 operation (615 bytes, patch)
2002-02-07 02:32 EST, Bishop Clark
no flags Details | Diff

  None (edit)
Description Ned Ulbricht 2002-01-24 04:56:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-kim.1 i486)

Description of problem:
RHSA-2002:015-13 recommends at-3.1.8-22.1.i386.rpm as an updated at package for
use with Red Hat 6.2 systems.

However, the atd initscript installed into /etc/rc.d/init.d/atd by the above
update is not consistent with the initscripts-5.00-1.i386.rpm package used in RH
6.2 systems.

IOW, after the update, 'service atd restart' fails.

The /etc/rc.d/init.d/atd script contains:
# Source function library.
. /etc/init.d/functions

In RH 6.2 systems that file should be: /etc/rc.d/functions

In addition, the updated atd script contains lines such as:
echo -n $"Starting $prog: "

RH 6.2 systems do not support internationalized startup messages, so the above
shows up with a spurious "$".



Version-Release number of selected component (if applicable):
at-3.1.8-22.1

How reproducible:
Always

Steps to Reproduce:
Use the source.
	

Additional info:

Workaround is to the atd initscript from at-3.1.7-14.i386.rpm.

However, this workaround is not consistent with the following from 3.1.8-22.1:
postuninstall scriptlet (through /bin/sh):
if [ "$1" -ge "1" ]; then
  service atd condrestart >/dev/null 2>&1
fi

because the 3.1.7-14 atd script does not support 'condrestart'.
Comment 1 Dominic Hargreaves 2002-01-24 08:43:12 EST
The stop() function in the same file also contains the line:

        killproc /usr/sbin/atd

I cannot find any package providing this in redhat 6.2.
Comment 2 Geoffrey D. Bennett 2002-01-24 09:33:15 EST
Doing 'ln -s rc.d/init.d /etc/init.d' appears at first glance the easiest way to
make atd start.
Comment 3 Terry Tanski 2002-01-24 11:32:54 EST
Rather than adding a symlink which will not be upgraded via the initscripts
package, just edit /etc/rc.d/init.d/atd and correct the location of functions.
This package upgrade was not properly tested before being released since this is
a fairly blatent error. I hope we don't see more of these problems in the future :-(
Comment 4 rhbugz 2002-01-28 20:36:15 EST
Red Hat 7.1 and 7.2 systems contain the /etc/init.d link ("cd /etc; ln -s
rc.d/init.d init.d"), thus adding the link is not an inconsistent way to handle
the problem.

On the 7.x systems the link is provided by the chkconfig RPM. (The entire
/etc/rc?.d directory structure is laid out via the chkconfig RPM *and* the
initscripts RPM, but the /etc/init.d soft link exists only in chkconfig.
Hmmm???) In any case, Red Hat could fix the problem by leaving the "at" RPM in
place and issuing a new initscripts or chkconfig RPM for 6.2 that contains the
/etc/init.d link. Of course, this does not address the '$' on the echo, but at
least the script will work and the system will be ready for other init.d scripts
that expect the /etc/init.d link!
Comment 5 greg 2002-02-01 18:56:22 EST
This is also broken because of requiring sendmail, maybe the package should check for other MTA's or simply make sure that the command sendmail exists so MTA's like postfix will pass the requires stage.

Greg Wright
Comment 6 Bishop Clark 2002-02-07 02:32:31 EST
Created attachment 44821 [details]
patch to fix 3.1.8-22.1 for RH62 operation
Comment 7 Need Real Name 2002-02-09 11:36:06 EST
I also have this problem on my Redhat 6.2 after upgarding to the new at rpm .  I
don't know enough to know what the implications of the error are.  I'm going to
downgrade until a new rpm is released.

By the way, a spurious $ also occurs when the Redhat Network (daemon?) is
starting up.

Ian
( A Desktop Redhat Linux User since RH 5.0 )
Comment 8 Ned Ulbricht 2002-02-09 22:35:12 EST
at-3.1.8-22.2.i386.rpm has an updated atd initscript which correctly sources
/etc/rc.d/init.d/functions

Reference: Advisory ID: RHSA-2002:015-15 Updated on: 2002-02-07

Newly updated atd initscript still echos spurious '$', but I suppose this allows
a clean upgrade path
to internationalization support.  And minor "prettiness" issue doesn't affect
functionality.

AFAICT, this bug is ready to be closed (ERRATA).
Comment 9 Ned Ulbricht 2002-03-02 12:13:15 EST
Closed.  See previous comment.

Note You need to log in before you can comment on or make changes to this bug.